using UnityEngine;
using System.Collections;

public class ReticuleScript : MonoBehaviour {
		
	public Texture2D crosshairTexture;
	private Rect position;
	private bool displayCrosshair = true;

	void Start () {
		
		Screen.showCursor = false;
		
	}

	void Update(){
		
		position = new Rect((Screen.width - crosshairTexture.width) / 2, (Screen.height - crosshairTexture.height) /2, crosshairTexture.width, crosshairTexture.height);
		
	}

	void OnGUI(){
		
		if(displayCrosshair){
			GUI.DrawTexture(position, crosshairTexture);
		}
		
	}

}

